# eth\_getTransactionByHash

#### 1. Parameters

* <mark style="color:blue;">hash</mark> string REQUIRED

  The hash of a transaction

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getTransactionByHash","params":["0xb1fac2cb5074a4eda8296faebe3b5a3c10b48947dd9a738b2fdf859be0e1fbaf"],"id":1,"jsonrpc":"2.0"}'

```

2. **Returns**

   **object** The transaction response object, or null if no transaction is found:

* <mark style="color:blue;">**blockHash**</mark> The hash of the block where this transaction was in. Null when it's a pending log&#x20;
* <mark style="color:blue;">blockNumber</mark> The block number where this transaction was in. Null when it's a pending log&#x20;
* <mark style="color:blue;">from</mark> The address of the sender&#x20;
* <mark style="color:blue;">gas</mark> The gas provided by the sender, encoded as hexadecimal&#x20;
* <mark style="color:blue;">gasPrice</mark> The gas price provided by the sender in wei encoded as hexadecimal&#x20;
* <mark style="color:blue;">maxFeePerGas</mark> The maximum fee per gas set in the transaction&#x20;
* <mark style="color:blue;">maxPriorityFeePerGas</mark> The maximum priority gas fee set in the transaction&#x20;
* <mark style="color:blue;">hash</mark> The hash of the transaction&#x20;
* <mark style="color:blue;">**input**</mark> The data sent along with the transaction&#x20;
* <mark style="color:blue;">nonce</mark> The number of transactions made by the sender prior to this one encoded as hexadecimal&#x20;
* <mark style="color:blue;">**to**</mark> The address of the receiver. Null when its a contract creation transaction&#x20;
* <mark style="color:blue;">transactionIndex</mark> The integer of the transaction's index position that the log was created from. Null when it's a pending log&#x20;
* <mark style="color:blue;">value</mark> The value transferred in wei encoded as hexadecimal&#x20;
* <mark style="color:blue;">type</mark> The transaction type&#x20;
* <mark style="color:blue;">accessList</mark> A list of addresses and storage keys that the transaction plans to access&#x20;
* <mark style="color:blue;">chainId</mark> The chain id of the transaction, if any&#x20;
* <mark style="color:blue;">v</mark> The standardized V field of the signature&#x20;
* <mark style="color:blue;">r</mark> The R field of the signature&#x20;
* <mark style="color:blue;">s</mark> The S field of the signature
